package com.shining.cloud.pojo.information;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @description: 暂降消息
 * @author: denghuajun
 * @time: 2019-10-17 13:59:51
 **/
@Table(name = "App_EventMsg")
public class EventMsg {
    @Id
    @Column(name = "EVENTMSG_INDEX")
    private String eventMsgIndex;//	Varchar2(36)	Not NULL	暂态消息Guid
    @Column(name = "USER_INDEX")
    private String userIndex;//	Varchar2(36)	Not NULL	(关联app_user表User_Index)权限用户id
    @Column(name = "EVENTDETAIL_INDEX")
    private String eventDetailIndex;//	Varchar2(36)	Not NULL	(关联表PQS_EventDetail)事件总表Guid
    @Column(name = "STATE")
    private int state;//	Number(1)	Not NULL	读取状态(0：未读，1：已读，2：删除)

    public String getEventMsgIndex() {
        return eventMsgIndex;
    }

    public void setEventMsgIndex(String eventMsgIndex) {
        this.eventMsgIndex = eventMsgIndex;
    }

    public String getUserIndex() {
        return userIndex;
    }

    public void setUserIndex(String userIndex) {
        this.userIndex = userIndex;
    }

    public String getEventDetailIndex() {
        return eventDetailIndex;
    }

    public void setEventDetailIndex(String eventDetailIndex) {
        this.eventDetailIndex = eventDetailIndex;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    @Override
    public String toString() {
        return "EventMsg{" +
                "eventMsgIndex='" + eventMsgIndex + '\'' +
                ", userIndex='" + userIndex + '\'' +
                ", eventDetailIndex='" + eventDetailIndex + '\'' +
                ", state=" + state +
                '}';
    }
}